<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Llamosi2016/M2_samplePosterior.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_7a6499598ddcfcabe96e224cb4a6d834.html">Projects</a></li><li class="navelem"><a class="el" href="../../dir_14cef3b922ba0db668f51262197138d9.html">Llamosi2016</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">M2_samplePosterior.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d44/_m2__sample_posterior_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">function</span> []=<a class="code" href="../../d4/d44/_m2__sample_posterior_8m.html#a9b4a9bfce9a10edc08d3d49026e61e23">M2_samplePosterior</a>()</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;% Inializes the relevant paths</div>
<div class="line"><a name="l00004"></a><span class="lineno"><a class="line" href="../../d4/d44/_m2__sample_posterior_8m.html#a9b4a9bfce9a10edc08d3d49026e61e23">    4</a></span>&#160;addpath(genpath([<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;Dependencies&#39;</span>,filesep,<span class="stringliteral">&#39;Src&#39;</span>,filesep]))</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;addpath([<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;Dependencies&#39;</span>,filesep,<span class="stringliteral">&#39;Tests&#39;</span>,filesep])</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;addpath(genpath([<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;Dependencies&#39;</span>,filesep,<span class="stringliteral">&#39;IQMtools&#39;</span>]))</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;% Check in which Dependencie folder PESTO is located</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;addpath(genpath([<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;..&#39;</span>,filesep,<span class="stringliteral">&#39;Dependencies&#39;</span>,filesep,<span class="stringliteral">&#39;PESTO&#39;</span>]))</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;addpath(genpath([&#39;..&#39;,filesep,&#39;..&#39;,filesep,&#39;Dependencies&#39;,filesep,&#39;mcmcstat&#39;]))</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;addpath(genpath([&#39;.&#39;,filesep,&#39;UserFns&#39;]))</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;addpath(genpath([&#39;.&#39;,filesep,&#39;Model&#39;]))  </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;% load the result file from the first stage: </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;% Ensure you have the right file. </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;fname=[&#39;./ResultsNLME/AR_pool_1_Result_Llamosi_Data_full_Llamosi2016&#39;];</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;load(fname);</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;% initialise parpool, e.p. jobs, use an appropriate cluster</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;c = parcluster(&#39;local&#39;);</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;c.NumWorkers = 40;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;parpool(c, c.NumWorkers);</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;nsamples=1e4; % or 1e5</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;singlecell_estimates=singlecell_estimates;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;Model=Model;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;for i=1:length(singlecell_estimates)</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;singlecell_estimates(i).Post_samples=[];</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;singlecell_estimates(i).Post_Mean=[];</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;singlecell_estimates(i).Post_Var=[];</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;end</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;% </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;parfor i=1:length(singlecell_estimates)  </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;[parameters]=<a class="code" href="../../df/df5/_llamosi2016_2_user_fns_2sample_singlecell_estimates_8m.html#af1c077c6209251e34d80064d0eae2d80">sampleSinglecellEstimates</a>(singlecell_estimates(i),nsamples,Model);</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;singlecell_estimates(i).Post_samples=parameters;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;singlecell_estimates(i).Post_Mean=mean(parameters.S.par(:,nsamples/2:end),2)&#39;;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;singlecell_estimates(i).Post_Var=cov(parameters.S.par(:,nsamples/2:end)&#39;);</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;end</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;save(fname,&#39;singlecell_estimates&#39;,&#39;-append&#39;)</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_llamosi2016_2_user_fns_2sample_singlecell_estimates_8m_html_af1c077c6209251e34d80064d0eae2d80"><div class="ttname"><a href="../../df/df5/_llamosi2016_2_user_fns_2sample_singlecell_estimates_8m.html#af1c077c6209251e34d80064d0eae2d80">sampleSinglecellEstimates</a></div><div class="ttdeci">function sampleSinglecellEstimates(in singlecell_estimates, in nsamples, in Model)</div><div class="ttdoc">%&gt;</div></div>
<div class="ttc" id="a_m2__sample_posterior_8m_html_a9b4a9bfce9a10edc08d3d49026e61e23"><div class="ttname"><a href="../../d4/d44/_m2__sample_posterior_8m.html#a9b4a9bfce9a10edc08d3d49026e61e23">M2_samplePosterior</a></div><div class="ttdeci">function M2_samplePosterior()</div><div class="ttdoc">Samples the posterior for single-cell parameter estimates after obatining the first stage.</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
